---
title: Card token by ID
slug: apis/payments/cos-card-payments/card-token-apis/card-token-by-id
description: Discover how to retrieve card token information via API using a GET request and token ID, with detailed response options and error handling for seamless integration.
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2025-09-28T09:47:52.737Z
---

## API reference

Retrieves the information for a card token through token ID

:::ApiMethodV2
```json
{
  "name": "Endpoint: /cardpayments/v1/cardtokens/{id}",
  "method": "GET",
  "url": "https://sandbox.crbcos.com/cardpayments/v1/cardtokens/{id}",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "dd_pgZpSxzbUktNZ6L5-X",
        "language": "curl",
        "code": "curl --location 'https://sandbox.crbcos.com/cardpayments/v1/cardtokens/febe40ae-cbe7-4428-9aab-b41b004159eb' \\\n--header 'Accept: application/json' \\\n--header 'Authorization: Bearer token'"
      },
      {
        "id": "1QvSUY2FlpjXLjWRvM1a7",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n  'method': 'GET',\n  'url': 'https://sandbox.crbcos.com/cardpayments/v1/cardtokens/5583ec45-8870-4570-a2a7-b3ef0164e605',\n  'headers': {\n    'Accept': 'application/json',\n    'Authorization': 'Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjlqdXNaakYyUUxWa3RjOFljdzdQc1hmcmN1YyIsIng1dCI6IjlqdXNaakYyUUxWa3RjOFljdzdQc1hmcmN1YyIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc3MTM5OTYxNCwiaWF0IjoxNzcxMzk5NjE0LCJleHAiOjE3NzE0MDE0MTQsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJvcGVuaWQiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJhbXIiOlsiZXh0ZXJuYWwiXSwiY2xpZW50X2lkIjoiY29zZXhwbG9yZXJ1aSIsInN1YiI6ImNjY2E0OTUwLTY3MmEtNDhmZS1iNzUyLTZjNjNmZDFiNjk2ZSIsImF1dGhfdGltZSI6MTc3MTM5NjIxNiwiaWRwIjoiQ1JCRW50cmFBY2NvdW50IiwibmFtZSI6InJub3JtaWxlIiwiZ2l2ZW5fbmFtZSI6IlJldXZlbiIsInJvbGUiOlsiVlBOIEFjY2VzcyIsInNlY0RldnNBbGwiLCJkZXZTZWMuRXh0LkRldiIsInNlY0NhcmRBY2Nlc3MiLCIhRGV2ZWxvcGVycyIsInNlY1JvbGVDT1NTYngiLCJzZWNBcmdvQ0RWaWV3ZXJzIiwic2VjUm9sZUNPU0RldiIsInNlY0FXU19SRFAiLCJTZWNBV1NfV1NQIiwiZGV2U2VjLkludC5EZXYiXSwic2lkIjoiRkZEQTE2N0E5NUFGMDVFRkI4REQ1MUMzRjFEMDA4REEiLCJqdGkiOiJBMzRENDYxRkFFOTJFNEQ5QjVFQ0IwMUQ2Q0FDRTAxMiJ9.jvRqde5816YfxJbe5XaWBDGcwzrkp3hTp2x1M_rY0nAYXCsQ4AxflJu1eoE8oSco-qnl4XjnjODvvDD8J2leFb68Gg87FxrVGz3VY4ZFGSgcuXPRQZjD-NhcMU5IcTdb7MlBR8O59Uy37iYoQDEXIUt1XeKpDRzewBFwGJ-Z7B36Y9ngI1t_cvTNzuVYnocK3wbrcj90lcuqgWnily7RGMr5_UIKKd8AzRdCzgSj1w2fDKGsn13FNyqw6AK4VrIhdDnx6j2682fDo5OIb6ZV0k6_B0H1PCAagGauXaVFoKtpmqkZ5Evh1PkXe2z8JkkayJ_wS96FogP3E48KsURx9A'\n  }\n};\nrequest(options, function (error, response) {\n  if (error) throw new Error(error);\n  console.log(response.body);\n});\n"
      },
      {
        "id": "FGiJE4RC1Rx2xNfVXaV1E",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"sandbox.crbcos.com\")\npayload = ''\nheaders = {\n  'Accept': 'application/json',\n  'Authorization': 'Bearer toekn'\n}\nconn.request(\"GET\", \"/cardpayments/v1/cardtokens/febe40ae-cbe7-4428-9aab-b41b004159eb\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))"
      },
      {
        "id": "f6A3eOaaUCoybD4CgyOjG",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/cardpayments/v1/cardtokens/febe40ae-cbe7-4428-9aab-b41b004159eb\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Authorization\"] = \"Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IkJSSVlRbmpPXzZac3JSR1dqb2JBNmR2XzNpVSIsIng1dCI6IkJSSVlRbmpPXzZac3JSR1dqb2JBNmR2XzNpVSIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc3NjA3NjQxOCwiaWF0IjoxNzc2MDc2NDE4LCJleHAiOjE3NzYwNzgyMTgsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJvcGVuaWQiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJhbXIiOlsiZXh0ZXJuYWwiXSwiY2xpZW50X2lkIjoiY29zZXhwbG9yZXJ1aSIsInN1YiI6ImNjY2E0OTUwLTY3MmEtNDhmZS1iNzUyLTZjNjNmZDFiNjk2ZSIsImF1dGhfdGltZSI6MTc3NjA3NjQxNywiaWRwIjoiQ1JCRW50cmFBY2NvdW50IiwibmFtZSI6InJub3JtaWxlIiwiZ2l2ZW5fbmFtZSI6IlJldXZlbiIsInJvbGUiOlsiVlBOIEFjY2VzcyIsInNlY0RldnNBbGwiLCJkZXZTZWMuRXh0LkRldiIsInNlY0NhcmRBY2Nlc3MiLCIhRGV2ZWxvcGVycyIsInNlY1JvbGVDT1NTYngiLCJzZWNBcmdvQ0RWaWV3ZXJzIiwic2VjUm9sZUNPU0RldiIsInNlY0FXU19SRFAiLCJTZWNBV1NfV1NQIiwic2VjQ2xhdWRlQ29kZURldmVsb3BlcnMiLCJkZXZTZWMuSW50LkRldiJdLCJzaWQiOiJBMEVDNDYzRjhGMzE0RjM0MzdGMUQ2OEY5NjgyMjNDQiIsImp0aSI6IkE0RTA4N0VFRUIyODNBNENGNTE0RUNGMDk3MUMxNEIyIn0.QLxmFznRw6J4XX3b3i7Z9L_f9bF3cS7qykLtj5U6WcTSQG5BYWNsX37YG5UCKTpjWZBEeZH2svFlLHomr_hXBioSkdT2P8q78yMDnc0QHk4E4_jsF7zKAYFtKzMAC8aN2TRUgk-X5uh592WIOMrzi2j1CVP8S_KnL2voabn8KYcqpQ6BnxEQUXxNjGFv3monJtYqHqcrUWiTwMXhG4hIhCWInDnSElhzhf5-5aUS0QBG703qx5oErPg4mPBVoa9wZFDQi9Fa-K0VwOwWcmg6TFbC8E-xKlJUDeXT-07LRaUJCm_k8yocVdaCusevyUO4B-3m0xfkZ1KmuFJGGikPfQ\"\n\nresponse = https.request(request)\nputs response.read_body\n"
      },
      {
        "id": "zzEWc_Vm-AKGY-GUPo_B7",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/cardpayments/v1/cardtokens/febe40ae-cbe7-4428-9aab-b41b004159eb\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Accept\", \"application/json\")\n  req.Header.Add(\"Authorization\", \"Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IkJSSVlRbmpPXzZac3JSR1dqb2JBNmR2XzNpVSIsIng1dCI6IkJSSVlRbmpPXzZac3JSR1dqb2JBNmR2XzNpVSIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc3NjA3NjQxOCwiaWF0IjoxNzc2MDc2NDE4LCJleHAiOjE3NzYwNzgyMTgsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJvcGVuaWQiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJhbXIiOlsiZXh0ZXJuYWwiXSwiY2xpZW50X2lkIjoiY29zZXhwbG9yZXJ1aSIsInN1YiI6ImNjY2E0OTUwLTY3MmEtNDhmZS1iNzUyLTZjNjNmZDFiNjk2ZSIsImF1dGhfdGltZSI6MTc3NjA3NjQxNywiaWRwIjoiQ1JCRW50cmFBY2NvdW50IiwibmFtZSI6InJub3JtaWxlIiwiZ2l2ZW5fbmFtZSI6IlJldXZlbiIsInJvbGUiOlsiVlBOIEFjY2VzcyIsInNlY0RldnNBbGwiLCJkZXZTZWMuRXh0LkRldiIsInNlY0NhcmRBY2Nlc3MiLCIhRGV2ZWxvcGVycyIsInNlY1JvbGVDT1NTYngiLCJzZWNBcmdvQ0RWaWV3ZXJzIiwic2VjUm9sZUNPU0RldiIsInNlY0FXU19SRFAiLCJTZWNBV1NfV1NQIiwic2VjQ2xhdWRlQ29kZURldmVsb3BlcnMiLCJkZXZTZWMuSW50LkRldiJdLCJzaWQiOiJBMEVDNDYzRjhGMzE0RjM0MzdGMUQ2OEY5NjgyMjNDQiIsImp0aSI6IkE0RTA4N0VFRUIyODNBNENGNTE0RUNGMDk3MUMxNEIyIn0.QLxmFznRw6J4XX3b3i7Z9L_f9bF3cS7qykLtj5U6WcTSQG5BYWNsX37YG5UCKTpjWZBEeZH2svFlLHomr_hXBioSkdT2P8q78yMDnc0QHk4E4_jsF7zKAYFtKzMAC8aN2TRUgk-X5uh592WIOMrzi2j1CVP8S_KnL2voabn8KYcqpQ6BnxEQUXxNjGFv3monJtYqHqcrUWiTwMXhG4hIhCWInDnSElhzhf5-5aUS0QBG703qx5oErPg4mPBVoa9wZFDQi9Fa-K0VwOwWcmg6TFbC8E-xKlJUDeXT-07LRaUJCm_k8yocVdaCusevyUO4B-3m0xfkZ1KmuFJGGikPfQ\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}"
      }
    ],
    "selectedLanguageId": "dd_pgZpSxzbUktNZ6L5-X"
  },
  "results": {
    "languages": [
      {
        "id": "zSKeGucw0Ij9uNyBPihiv",
        "language": "200",
        "code": "{\n    \"id\": \"759f4eab-5400-4e25-9815-b4af0085684e\",\n    \"partnerId\": \"1101a33d-fbd9-4b9e-b169-b29500f12407\",\n    \"productId\": \"29f3022a-ccfc-42eb-aa8f-b29500f13d00\",\n    \"accountNumber\": \"2113556886\",\n    \"masterAccountNumber\": \"2113556886\",\n    \"token\": \"39A99D770B354E63AC4EFAF64E757F24000000\",\n    \"rail\": \"VisaDirect\",\n    \"cardType\": \"Debit\",\n    \"productType\": \"Unknown\",\n    \"authorizationStatus\": \"Approved\",\n    \"statusReasonCode\": \"00\",\n    \"statusReasonDescription\": \"Approved and completed successfully\",\n    \"isAuthorized\": true,\n    \"firstName\": \"Bob\",\n    \"lastName\": \"Bobbie\",\n    \"address\": {\n        \"street1\": \"101 Main Street\",\n        \"street2\": \"More address info\",\n        \"city\": \"New York\",\n        \"state\": \"NY\",\n        \"postalCode\": \"07666\",\n        \"countryCode\": \"US\"\n    },\n    \"isAddressVerified\": true,\n    \"addressVerificationDetails\": {\n        \"avsResponseCode\": \"Y\",\n        \"cvv2ResultCode\": \"M\",\n        \"isCVVMatched\": true\n    },\n    \"accountNameInquiryUsed\": \"Used\",\n    \"accountNameInquiryResult\": \"Match\",\n    \"nameVerificationDetails\": {\n        \"lastNameVerificationStatus\": \"Match\",\n        \"firstNameVerificationStatus\": \"Match\",\n        \"middleNameVerificationStatus\": \"Match\",\n        \"nameVerificationProcessingResult\": \"Name Match Performed\"\n    },\n    \"phone\": \"2015551212\",\n    \"emailAddress\": \"mmm@xxx.com\",\n    \"binNumber\": \"411111\",\n    \"panLastFour\": \"1111\",\n    \"expirationMonth\": 12,\n    \"expirationYear\": 2030,\n    \"cardFingerprint\": \"7BleaDLyA+3nxDUkoX6WjE0GKUHvEniZuoJFFjVd0muNYH4P3VOoV0w5LX3JW4h75OMx50mIRTS6xnpcxLX/2w==\",\n    \"isExpired\": false,\n    \"cardBrand\": \"Visa\",\n    \"capabilities\": {\n        \"fastFundsSupported\": true,\n        \"domesticPushEnabled\": true,\n        \"domesticPullEnabled\": true,\n        \"internationalPushEnabled\": true,\n        \"internationalPullEnabled\": true\n    },\n    \"issuerCountryCode\": \"US\",\n    \"clientIdentifier\": \"string\",\n    \"createdAt\": \"2026-08-23T04:05:43.3-04:00\",\n    \"isActive\": true,\n    \"authorizedAt\": \"2026-08-23T04:05:43.597-04:00\",\n    \"lastModifiedAt\": \"2026-08-23T04:05:43.5968251-04:00\"\n}",
        "customLabel": ""
      },
      {
        "id": "W5Gl11RtUiB7WeXh6Hp_d",
        "language": "400",
        "code": "{\n   \"errors\": [\n     {\n       \"code\": 0,\n       \"message\": \"string\"\n     } \n   ] \n}    ",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "zSKeGucw0Ij9uNyBPihiv"
  },
  "request": {
    "pathParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "The GUID of the card token you want to retrieve",
        "": "The GUID of the card token you want to retrieve"
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "formDataParameters": [],
    "bodyDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "The GUID of the card token you want to retrieve"
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "A UUID that identifies the partner, as defined in COS."
    },
    {
      "name": "productId",
      "kind": "optional",
      "type": "string",
      "description": "A UUID that identifies the product, as defined in COS."
    },
    {
      "name": "accountNumber",
      "kind": "optional",
      "type": "string",
      "description": "Account number"
    },
    {
      "name": "masterAccountNumber",
      "kind": "optional",
      "type": "string",
      "description": "The master account number that the card token's account belongs to. If `accountNumber` is a sub-account, this is the parent account it rolls up to; otherwise the two values are the same."
    },
    {
      "name": "token",
      "kind": "optional",
      "type": "string",
      "description": "A randomly generated string of characters that relates to the consumer's payment card (15-38 alphanumeric characters). "
    },
    {
      "name": "rail",
      "kind": "optional",
      "type": "string",
      "description": "The processor that communicates with the card network:\n\n- McSend\n- TabaPay\n- VisaDirect"
    },
    {
      "name": "cardType",
      "kind": "optional",
      "type": "string",
      "description": "The kind of payment card:\n\n- Credit\n- Debit\n- Prepaid\n- Combo\n- ChargeCard\n- DeferredDebit\n- VisaPlus\n- Unknown"
    },
    {
      "name": "productType",
      "kind": "optional",
      "type": "string",
      "description": "Cardholder card type:\n\n- Consumer\n- Commercial\n- Government\n- Business\n- Unknown"
    },
    {
      "name": "authorizationStatus",
      "kind": "optional",
      "type": "string",
      "description": "Responses can be:\n- NotRequired\n- New\n- Pending\n- Approved\n- Rejected\n- Failed"
    },
    {
      "name": "statusReasonCode",
      "kind": "optional",
      "type": "string",
      "description": "A code indicating the reason for certain statuses, particularly useful in rejections or failures."
    },
    {
      "name": "statusReasonDescription",
      "kind": "optional",
      "type": "string",
      "description": "A description explaining the reason code."
    },
    {
      "name": "isAuthorized",
      "kind": "optional",
      "type": "boolean",
      "description": "An indicator on whether or not the card token is authorized"
    },
    {
      "name": "firstName",
      "kind": "optional",
      "type": "string",
      "description": "First name. Min 1 character, max 35 characters"
    },
    {
      "name": "middleName",
      "kind": "optional",
      "type": "string",
      "description": "Middle name. Min 1 character, max 35 characters",
      "children": []
    },
    {
      "name": "lastName",
      "kind": "optional",
      "type": "string",
      "description": "Last name. Min 1 character, max 35 characters"
    },
    {
      "name": "address",
      "kind": "optional",
      "type": "object",
      "description": "Address of card holder",
      "children": [
        {
          "name": "street1",
          "kind": "optional",
          "type": "string",
          "description": "Street address line 1. Max length 60"
        },
        {
          "name": "street2",
          "kind": "optional",
          "type": "string",
          "description": "Street address line 2. Max length 60"
        },
        {
          "name": "city",
          "kind": "optional",
          "type": "string",
          "description": "Name of the city. Max length 60"
        },
        {
          "name": "state",
          "kind": "optional",
          "type": "string",
          "description": "State code. 2 characters"
        },
        {
          "name": "postalCode",
          "kind": "optional",
          "type": "string",
          "description": "Max 10 characters"
        },
        {
          "name": "countryCode",
          "kind": "optional",
          "type": "string",
          "description": "2-letter ISO country code"
        }
      ]
    },
    {
      "name": "isAddressVerified",
      "kind": "optional",
      "type": "boolean",
      "description": "An indicator on whether or not the address was verified"
    },
    {
      "name": "addressVerificationDetails",
      "kind": "optional",
      "type": "object",
      "description": "Detailed results from Address Verification Service (AVS) and CVV2 verification performed during card authorization",
      "children": [
        {
          "name": "avsResponseCode",
          "kind": "optional",
          "type": "string",
          "description": "AVS response code from the card network (e.g., 'Y' for match, 'N' for no match). Max 10 characters"
        },
        {
          "name": "avsResponseDesc",
          "kind": "optional",
          "type": "string",
          "description": "Human-readable description of the AVS response. Max 255 characters"
        },
        {
          "name": "cvv2ResultCode",
          "kind": "optional",
          "type": "string",
          "description": "CVV2 verification result code from the card network. Max 10 characters"
        },
        {
          "name": "isCVVMatched",
          "kind": "optional",
          "type": "boolean",
          "description": "Indicates whether the CVV2 provided matched the card on file"
        }
      ]
    },
    {
      "name": "accountNameInquiryUsed",
      "kind": "optional",
      "type": "string",
      "description": "Indicates whether Cross River tried to contact the ANI service. This attribute value will also let you know if the merchant isn't configured for the ANI service. In that case, we recommend contacting your Cross River relationship manager for details on how to connect to ANI.",
      "children": []
    },
    {
      "name": "accountNameInquiryResult",
      "kind": "optional",
      "type": "string",
      "description": "Indicates whether the initiator-provided card details match fully, partially, or not at all, or if they are unknown. Possible values are:\nMatch\nNo Match\nPartial Match\nUnknown",
      "children": []
    },
    {
      "name": "nameVerificationDetails",
      "kind": "optional",
      "type": "object",
      "description": "Acquirer Network Information (ANI) results for cardholder name verification performed during card authorization",
      "children": [
        {
          "name": "lastNameVerificationStatus",
          "kind": "optional",
          "type": "string",
          "description": "Verification status for the last name (e.g., 'MATCH', 'NO_MATCH', 'NOT_CHECKED')"
        },
        {
          "name": "firstNameVerificationStatus",
          "kind": "optional",
          "type": "string",
          "description": "Verification status for the first name (e.g., 'MATCH', 'NO_MATCH', 'NOT_CHECKED')"
        },
        {
          "name": "middleNameVerificationStatus",
          "kind": "optional",
          "type": "string",
          "description": "Verification status for the middle name (e.g., 'MATCH', 'NO_MATCH', 'NOT_CHECKED')"
        },
        {
          "name": "nameVerificationProcessingResult",
          "kind": "optional",
          "type": "string",
          "description": "Overall processing result for name verification (e.g., 'SUCCESS', 'FAILED')"
        }
      ]
    },
    {
      "name": "phone",
      "kind": "optional",
      "type": "string",
      "description": "Valid phone number"
    },
    {
      "name": "emailAddress",
      "kind": "optional",
      "type": "string",
      "description": "Valid email address"
    },
    {
      "name": "binNumber",
      "kind": "optional",
      "type": "string",
      "description": "The first 4 digits on the card. This identification number indicates the card-issuing bank."
    },
    {
      "name": "panLastFour",
      "kind": "optional",
      "type": "string",
      "description": "Last 4 digits of PAN "
    },
    {
      "name": "expirationMonth",
      "kind": "optional",
      "type": "integer",
      "description": "Two-digit month. Credit cards expire at the end of the month written on the card"
    },
    {
      "name": "expirationYear",
      "kind": "optional",
      "type": "integer",
      "description": "Two-digit year"
    },
    {
      "name": "cardFingerprint",
      "kind": "optional",
      "type": "string",
      "description": "A consistent, opaque identifier for a card without exposing any PAN-related data or risking reversibility",
      "children": []
    },
    {
      "name": "isExpired",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the card is expired"
    },
    {
      "name": "cardBrand",
      "kind": "optional",
      "type": "string",
      "description": "Will be one of the following:\n- AmericanExpress\n- ChinaUnionPay\n- Dankort\n- DinersClub\n- Discover\n- Hipercard\n- JCB\n- Laser\n- Maestro\n- MasterCard\n- RuPay\n- Solo\n- Switch\n- Visa\n- Unknown"
    },
    {
      "name": "capabilities",
      "kind": "optional",
      "type": "object",
      "description": "Capabilities are the actions permitted to do on a specific card, these are returned from the rails when the card is authorized",
      "children": [
        {
          "name": "fastFundsSupported",
          "kind": "optional",
          "type": "boolean",
          "description": "Card network can move the funds to the card immediately"
        },
        {
          "name": "domesticPushEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to push within the US"
        },
        {
          "name": "domesticPullEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to pull within the US"
        },
        {
          "name": "internationalPushEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to push internationally- outside of the US"
        },
        {
          "name": "internationalPullEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to pull internationally- outside of the US. \nNote: internationalPullEnabled - IS NOT YET SUPPORTED ACROSS ALL OF THE RAILS"
        }
      ]
    },
    {
      "name": "issuerCountryCode",
      "kind": "optional",
      "type": "string",
      "description": "ISO country of issuer. Used for domestic/international logic & compliance"
    },
    {
      "name": "clientIdentifier",
      "kind": "optional",
      "type": "string",
      "description": "User reference id. Max 50 characters"
    },
    {
      "name": "createdAt",
      "kind": "optional",
      "type": "string",
      "description": "When token was created"
    },
    {
      "name": "isActive",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the card is active "
    },
    {
      "name": "authorizedAt",
      "kind": "optional",
      "type": "string",
      "description": "When authorized"
    },
    {
      "name": "deActivatedAt",
      "kind": "optional",
      "type": "string",
      "description": "When deactivated"
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Last update timestamp"
    }
  ],
  "autoGeneratedAnchorSlug": "endpoint-cardpaymentsv1cardtokensid",
  "legacyHash": "6baMp8Kz85dUMORG0zov8"
}
```
:::

